Bug 16545 - Make edit link a styled button in item search results
Summary: Make edit link a styled button in item search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17873
  Show dependency treegraph
 
Reported: 2016-05-18 16:33 UTC by Owen Leonard
Modified: 2017-07-18 12:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16545 - Make edit link a styled button in item search results (1.82 KB, patch)
2017-05-04 18:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16545 - Make edit link a styled button in item search results (1.87 KB, patch)
2017-05-05 03:40 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 16545 - Make edit link a styled button in item search results (1.95 KB, patch)
2017-07-13 20:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16545 - Make edit link a styled button in item search results (1.95 KB, patch)
2017-07-13 21:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-18 16:33:24 UTC
In the table of item search results the edit link should be made into a Bootstrap-styled button with Font Awesome icon.
Comment 1 Owen Leonard 2017-05-04 18:29:47 UTC
Created attachment 63147 [details] [review]
Bug 16545 - Make edit link a styled button in item search results

This patch replaces the item search results "edit" link with a dropup
button which offers "Edit item" and "Edit record" links.

To test, apply the patch and perform an item search. Each results should
have an "Edit" menu. Confirm that the menu links work correctly for
items on more than one page.
Comment 2 M. Tompsett 2017-05-05 03:40:38 UTC
Created attachment 63154 [details] [review]
Bug 16545 - Make edit link a styled button in item search results

This patch replaces the item search results "edit" link with a dropup
button which offers "Edit item" and "Edit record" links.

To test, apply the patch and perform an item search. Each results should
have an "Edit" menu. Confirm that the menu links work correctly for
items on more than one page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-07-13 20:50:06 UTC
Created attachment 65031 [details] [review]
Bug 16545 - Make edit link a styled button in item search results

This patch replaces the item search results "edit" link with a dropup
button which offers "Edit item" and "Edit record" links.

To test, apply the patch and perform an item search. Each results should
have an "Edit" menu. Confirm that the menu links work correctly for
items on more than one page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-07-13 21:00:05 UTC
Created attachment 65032 [details] [review]
Bug 16545 - Make edit link a styled button in item search results

This patch replaces the item search results "edit" link with a dropup
button which offers "Edit item" and "Edit record" links.

To test, apply the patch and perform an item search. Each results should
have an "Edit" menu. Confirm that the menu links work correctly for
items on more than one page.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-07-13 21:41:15 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-07-18 12:53:33 UTC
Enhancement not pushed to 17.05.x